NotificationOutputSequencer (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena

## Class NotificationOutputSequencer

- java.lang.Object
- - siena.NotificationOutputSequencer

-     public class NotificationOutputSequencer
      extends java.lang.Object

  adds sequence tags to notifications so that they can be properly reordered by receivers. An output sequencer can be used to publish notifications in a logical sequence. Notifications passed through an output sequencer can then be delivered in the correct order of publication to subscribers by using an input sequencers on the subscribers' side. See `NotificationInputSequencer` for more documentation on input/output sequencers. An output sequencer can be used as a wrapper to a Siena interface, or as an independent notification processor. In the first case, a publisher would publish notifications directly through the output sequencer, while in the second case, a publisher would use the sequencer to tag notifications to be later published.

  Example: ``

            Siena siena;
            Notification n;
            // ...
            // siena = new ...
            // n = new Notification();
            // n.putAttribute("foo", "bar") ...
            // n = ...
            // ...
            NotificationOutputSequencer sequencer(siena);
            sequencer.publish(n);
            // ...

  See Also:
    `NotificationInputSequencer`, `Notifiable`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotificationOutputSequencer()`
    `NotificationOutputSequencer(Siena s)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `publish(Notification n)`
    `Notification` | `tagNotification(Notification n)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotificationOutputSequencer

          public NotificationOutputSequencer(Siena s)

    - #### NotificationOutputSequencer

          public NotificationOutputSequencer()

  - ### Method Detail

    - #### publish

          public void publish(Notification n)
                       throws SienaException

      Throws:
        `SienaException`

    - #### tagNotification

          public Notification tagNotification(Notification n)

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga